import axios from "axios";
import { useRouter } from "next/router";

interface ILogin {
  email: string;
  password: string;
}

export function useCustomAuth() {
  const router = useRouter();
  const logIn = async (props: ILogin) => {
    return axios.post(
      "/api/afAuth/login",
      { email: props.email, password: props.password },
      {
        headers: {
          Accept: "application/json",
          "Content-Type": "application/json",
        },
      }
    );
  };

  const logOut = async () => {
    return axios.post(
      "/api/afAuth/logout",
      {},
      {
        headers: {
          Accept: "application/json",
          "Content-Type": "application/json",
        },
      }
    );
  };

  const verifyToken = async () => {
    return axios.post(
      "/api/afAuth/verify",
      {},
      {
        headers: {
          Accept: "application/json",
          "Content-Type": "application/json",
        },
      }
    );
  };
  // const refreshToken = async () => {
  //   try {
  //     const refresh = await axios.post(
  //       "/api/account/refresh",
  //       {},
  //       {
  //         headers: {
  //           Accept: "application/json",
  //           "Content-Type": "application/json",
  //         },
  //       }
  //     );
  //     if (refresh.status === 200) {
  //       return refresh;
  //     } else {
  //       return { error: "something went wrong" };
  //     }
  //   } catch (error) {
  //     return { error: (error as any).response.data.error };
  //   }
  // };

  return { logIn, logOut, verifyToken };
}
